This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 182586 - Xair and ATI xserver cause video display issues (really dirty like zebra)
Xair and ATI xserver cause video display issues (really dirty like zebra)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 10:03 EST by David Duffey
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 12:06:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dirty zebra in a blizzard (526.22 KB, image/png)
2006-02-23 10:03 EST, David Duffey
no flags Details
send-notify is corrupt, and window borders "round edges" are not correct. (535.31 KB, image/png)
2006-02-23 10:04 EST, David Duffey
no flags Details

  None (edit)
Description David Duffey 2006-02-23 10:03:06 EST
Description of problem:
Using the Xair server and the ATI driver causes "send-notify" to use the
non-existent LSD theme.  The "round corners" of windows are not clipped
properly.  If I use a resolution greater than 1024x768 many textures become all
white.  (screenshots attached)

Version-Release number of selected component (if applicable):
Dell D600 laptop.
FC5test3 with Xair xorg-x11-server-Xair-1.0.0.0.20060207-5.i386.rpm.
VGA compatible controller: ATI Technologies Inc Radeon R250 Lf [FireGL 9000]
(rev 01)

How reproducible:
Every time

Steps to Reproduce:
1. Install Xair from http://people.redhat.com/rstrode/aiglx/i386/
2. Start X in 1024x768 (see send-notify get corrupt, and edges weirdness)
3. Start X in > 1024x758 (see big white dirty zebra, and send-notify get corrupt)
  
Actual results:
1) send-notify is tie-dye
2) background/gnome-panel is blank/white

Expected results:
1) send-notify should stop using LSD
2) I'm in Texas, there is no snow here

Additional info:
Comment 1 David Duffey 2006-02-23 10:03:06 EST
Created attachment 125105 [details]
dirty zebra in a blizzard
Comment 2 David Duffey 2006-02-23 10:04:49 EST
Created attachment 125106 [details]
send-notify is corrupt, and window borders "round edges" are not correct.
Comment 3 Mike A. Harris 2006-02-24 05:55:24 EST
Xair is not part of Fedora Core.  I don't know if there is a bugzilla
product/component for Xair yet, so reassigning bug to primary Xair
developer.
Comment 4 Kristian Høgsberg 2006-02-24 12:11:31 EST
We're working on getting the round corners done, but the notify bubble
corruption is new.  Will look into that.
Comment 5 Walter R. Moore 2006-02-24 21:48:34 EST
This is a me too - radeon.ko, 01:00.0 VGA compatible controller: ATI
Technologies Inc Radeon R250 Lf [FireGL 9000] (rev 02) (Dell Lat. D600), Xair is
running and gnome-terminal, for example, displays perfectly, but the gnome
panels and background are white with pretty shadows (see dirty zebra in snow
storm). 

I've watched pretty thoroughly for errors from Xair, and I've turned backing
store and "XAANoOffscreenPixmaps" on and off. With "XAANoOffscreenPixmaps" off
the system hard hangs as soon as I turn on compositing in metacity.
Comment 6 Kristian Høgsberg 2006-04-21 12:00:52 EDT
Closing this bug, these issues have been fixed in the rawhide builds of the
AIGLX stack.  See also this page:

  http://fedoraproject.org/wiki/RenderingProject/AiglxOnFedora

for more info.

Note You need to log in before you can comment on or make changes to this bug.